# class RTPGroup | A group of RTP processors handled by the same thread. More...
Full name | `TelEngine::RTPGroup`
Definition | `#include <libs/yrtp/yatertp.h>`
Inherits | TelEngine::GenObject [public ], TelEngine::Mutex [public ], TelEngine::Thread [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RTPGroup (int msec = 0, Priority prio = Normal)
- virtual ~RTPGroup ()
- virtual void cleanup ()
- virtual void run ()
- void join (RTPProcessor* proc)
- void part (RTPProcessor* proc)

#### Public Static Methods

- static void setMinSleep (int msec)

## Detailed Description

Several possibly related RTP processors share the same RTP group which holds the thread that keeps them running.

RTPGroup (int msec = 0, Priority prio = Normal) | ### RTPGroup

Constructor

Parameters:

msec | Minimum time to sleep in loop in milliseconds
prio | Thread priority to run this group

~RTPGroup () | ### ~RTPGroup

[virtual]

Group destructor, removes itself from all remaining processors

void cleanup () | ### cleanup

[virtual]

Inherited thread cleanup

Reimplemented from Thread.

void run () | ### run

[virtual]

Inherited thread run method

Reimplemented from Runnable.

void setMinSleep (int msec) | ### setMinSleep

[static]

Set the system global minimum time to sleep in loop

Parameters:

msec | Minimum time to sleep in loop in milliseconds

void join (RTPProcessor* proc) | ### join

Add a RTP processor to this group

Parameters:

proc | Pointer to the RTP processor to add

void part (RTPProcessor* proc) | ### part

Remove a RTP processor from this group

Parameters:

proc | Pointer to the RTP processor to remove

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.